javax.jdo

## Class JDOObjectNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.jdo.JDOException
        - - javax.jdo.JDOCanRetryException
          - - javax.jdo.JDODataStoreException
            - - javax.jdo.JDOObjectNotFoundException

- All Implemented Interfaces:
    Serializable

      public class JDOObjectNotFoundException
      extends JDODataStoreException

  This class represents exceptions caused by the user accessing an object that does not exist in the datastore.
  Since:
    1.0.1
  Version:
    1.0.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDOObjectNotFoundException()` Constructs a new `JDOObjectNotFoundException` without a detail message.
    `JDOObjectNotFoundException(String msg)` Constructs a new `JDOObjectNotFoundException` with the specified detail message.
    `JDOObjectNotFoundException(String msg, Object failed)` Constructs a new `JDOObjectNotFoundException` with the specified detail message and failed object.
    `JDOObjectNotFoundException(String msg, Throwable nested)` Constructs a new `JDOObjectNotFoundException` with the specified detail message and nested `Throwable`s.
    `JDOObjectNotFoundException(String msg, Throwable[] nested)` Constructs a new `JDOObjectNotFoundException` with the specified detail message and nested `Throwable`s.
    `JDOObjectNotFoundException(String msg, Throwable[] nested, Object failed)` Constructs a new `JDOObjectNotFoundException` with the specified detail message, nested `Throwable`s, and failed object.
    `JDOObjectNotFoundException(String msg, Throwable nested, Object failed)` Constructs a new `JDOFatalInternalException` with the specified detail message, nested `Throwable`s, and failed object.

  - ### Method Summary

    - ### Methods inherited from class javax.jdo.JDOException

      `getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JDOObjectNotFoundException

          public JDOObjectNotFoundException()

      Constructs a new `JDOObjectNotFoundException` without a detail message.

    - #### JDOObjectNotFoundException

          public JDOObjectNotFoundException(String msg)

      Constructs a new `JDOObjectNotFoundException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

    - #### JDOObjectNotFoundException

          public JDOObjectNotFoundException(String msg,
                                            Object failed)

      Constructs a new `JDOObjectNotFoundException` with the specified detail message and failed object.
      Parameters:
        `msg` - the detail message.
        `failed` - the failed object.

    - #### JDOObjectNotFoundException

          public JDOObjectNotFoundException(String msg,
                                            Throwable nested)

      Constructs a new `JDOObjectNotFoundException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable`.

    - #### JDOObjectNotFoundException

          public JDOObjectNotFoundException(String msg,
                                            Throwable[] nested)

      Constructs a new `JDOObjectNotFoundException` with the specified detail message and nested `Throwable`s.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable[]`.

    - #### JDOObjectNotFoundException

          public JDOObjectNotFoundException(String msg,
                                            Throwable[] nested,
                                            Object failed)

      Constructs a new `JDOObjectNotFoundException` with the specified detail message, nested `Throwable`s, and failed object.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable[]`.
        `failed` - the failed object.

    - #### JDOObjectNotFoundException

          public JDOObjectNotFoundException(String msg,
                                            Throwable nested,
                                            Object failed)

      Constructs a new `JDOFatalInternalException` with the specified detail message, nested `Throwable`s, and failed object.
      Parameters:
        `msg` - the detail message.
        `nested` - the nested `Throwable`.
        `failed` - the failed object.

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.